import { defHttp } from '/@/utils/http/axios';
/**
 * 地块调查
 * 风险评估
 */
enum Api {
  getZjyj = '/dklc/getZjyj', // 读取评审信息
  updateZjcy = '/dklc/updateZjcy', // 保存评审信息
  submitZjyj = '/dklc/submitZjyj', // 提交评审信息
  zjzmb = '/dklc/zjzmb', // 专家组模板
  chrymb = '/dklc/chrymb', // 参会人员模板
  scchry = '/dklc/scchry', // 上传 专家组-参会人员
  getZjyjHis = '/dklc/getZjyjHis', // 读取评审信息历史

  getCcxx = '/dkcx/getZjyj', //抽查的时候 获取数据
  getCcHis = '/dkcx/getZjyjHis', // 抽查评审信息历史
  updateCcZjcy = '/dkcx/updateZjcy', // 抽查保存评审信息
  submitCcZjyj = '/dkcx/submitZjyj', // 抽查提交评审信息
  getZbmgxx = '/dklc/getZbmgxx', //判断土地使用权人是否可以填报
  flowChart = '/dklc/getDklc',  // 地块流程图的
  updateZbmgxx = '/dklc/updateZbmgxx', //添加周边敏感信息

}
export const getZjyj = (params) => {
  return defHttp.get({ url: Api.getZjyj, params });
};

// 地块流程图
export const flowChart = (params) => {
  return defHttp.get({ url: Api.flowChart, params });
};
//风险管控修复与效果评估里面 土地使用权人是否可以填包
export const getZbmgxx = (params) => {
  return defHttp.get({ url: Api.getZbmgxx, params });
};
// 添加周边敏感信息
export const updateZbmgxx = (params) => {
  return defHttp.post({ url: Api.updateZbmgxx, params });
};
/**
 * 保存
 * 待评审：评审材料上传
 * 评审信息+专家组信息+参会人员信息
 */
export const updateZjcy = (params) => {
  return defHttp.post({ url: Api.updateZjcy, params });
};
/**
 * 提交
 * 待评审：评审材料上传
 * 评审信息+专家组信息+参会人员信息
 */
export const submitZjyj = (params) => {
  return defHttp.post({ url: Api.submitZjyj, params });
};
/**
 * 导出api
 * @param params
 */
export const getZjzmbUrl = Api.zjzmb;
export const getChrymbtUrl = Api.chrymb;
/**
 * 导入api
 */
export const getScchryUrl = Api.scchry;
/**
 * 读取评审信息历史
 */
export const getZjyjHis = (params) => {
  return defHttp.get({ url: Api.getZjyjHis, params });
};

// 获取抽查信息
export const getCcxx = (params) => {
  return defHttp.get({ url: Api.getCcxx, params });
};
// 获取抽查历史信息
export const getCcHis = (params) => {
  return defHttp.get({ url: Api.getCcHis, params });
};
// 抽查保存
export const updateCcZjcy = (params) => {
  return defHttp.post({ url: Api.updateCcZjcy, params });
};
// 抽查提交
export const submitCcZjyj = (params) => {
  return defHttp.post({ url: Api.submitCcZjyj, params });
};